Bug 1012116 - [abrt] dia-0.97.2-5.fc19: dia_object_get_parent_with_flags: Process /usr/bin/dia was killed by signal 11 (SIGSEGV)
[abrt] dia-0.97.2-5.fc19: dia_object_get_parent_with_flags: Process /usr/bin/...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dia (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
abrt_hash:f6bcba441af85c5e737d885d88f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 14:25 EDT by Gwendal
Modified: 2015-02-17 12:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:20:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.49 KB, text/plain)
2013-09-25 14:26 EDT, Gwendal
no flags Details
File: cgroup (141 bytes, text/plain)
2013-09-25 14:26 EDT, Gwendal
no flags Details
File: core_backtrace (9.00 KB, text/plain)
2013-09-25 14:26 EDT, Gwendal
no flags Details
File: dso_list (15.67 KB, text/plain)
2013-09-25 14:26 EDT, Gwendal
no flags Details
File: environ (1.60 KB, text/plain)
2013-09-25 14:26 EDT, Gwendal
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-25 14:26 EDT, Gwendal
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-25 14:26 EDT, Gwendal
no flags Details
File: maps (72.50 KB, text/plain)
2013-09-25 14:26 EDT, Gwendal
no flags Details
File: open_fds (644 bytes, text/plain)
2013-09-25 14:26 EDT, Gwendal
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-09-25 14:26 EDT, Gwendal
no flags Details
File: var_log_messages (11.87 KB, text/plain)
2013-09-25 14:26 EDT, Gwendal
no flags Details

  None (edit)
Description Gwendal 2013-09-25 14:25:55 EDT
Description of problem:
I was selecting elements with shifts quite quickly, or something like that, when the crash happened.

Version-Release number of selected component:
dia-0.97.2-5.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        dia --integrated
crash_function: dia_object_get_parent_with_flags
executable:     /usr/bin/dia
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 dia_object_get_parent_with_flags at object.c:688
 #1 layer_find_closest_object_except at layer.c:383
 #2 diagram_find_clicked_object at diagram.c:936
 #3 click_select_object at modify_tool.c:145
 #4 modify_button_press at modify_tool.c:260
 #5 ddisplay_canvas_events at disp_callbacks.c:685
 #6 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #11 gtk_widget_event_internal at gtkwidget.c:4912
 #12 gtk_widget_event at gtkwidget.c:4814
 #13 gtk_propagate_event at gtkmain.c:2490
Comment 1 Gwendal 2013-09-25 14:26:00 EDT
Created attachment 803000 [details]
File: backtrace
Comment 2 Gwendal 2013-09-25 14:26:04 EDT
Created attachment 803001 [details]
File: cgroup
Comment 3 Gwendal 2013-09-25 14:26:07 EDT
Created attachment 803002 [details]
File: core_backtrace
Comment 4 Gwendal 2013-09-25 14:26:11 EDT
Created attachment 803003 [details]
File: dso_list
Comment 5 Gwendal 2013-09-25 14:26:14 EDT
Created attachment 803004 [details]
File: environ
Comment 6 Gwendal 2013-09-25 14:26:18 EDT
Created attachment 803005 [details]
File: exploitable
Comment 7 Gwendal 2013-09-25 14:26:21 EDT
Created attachment 803006 [details]
File: limits
Comment 8 Gwendal 2013-09-25 14:26:26 EDT
Created attachment 803007 [details]
File: maps
Comment 9 Gwendal 2013-09-25 14:26:30 EDT
Created attachment 803008 [details]
File: open_fds
Comment 10 Gwendal 2013-09-25 14:26:33 EDT
Created attachment 803009 [details]
File: proc_pid_status
Comment 11 Gwendal 2013-09-25 14:26:37 EDT
Created attachment 803010 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 14:58:45 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 12:20:48 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.